/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *    https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.bigtop.manager.common.constants;

public class CacheFiles {

    /**
     * cluster settings
     */
    public static final String SETTINGS_INFO = "/settings.json";

    /**
     * cluster info
     */
    public static final String CLUSTER_INFO = "/cluster.json";

    /**
     * service configurations
     */
    public static final String CONFIGURATIONS_INFO = "/configurations.json";

    /**
     * components host mapping
     */
    public static final String HOSTS_INFO = "/hosts.json";

    /**
     * cluster repo info
     */
    public static final String REPOS_INFO = "/repos.json";

    /**
     * cluster users info
     */
    public static final String USERS_INFO = "/users.json";

    /**
     * components info
     */
    public static final String COMPONENTS_INFO = "/components.json";
}
